/***********************************************************************/
/*                                                                     */
/*                                                                     */
/* Program:                                                            */
/* --------                                                            */
/*                                                                     */
/* suncomp.c                                                           */
/*                                                                     */
/*                                                                     */
/* Version:                                                            */
/* --------                                                            */
/*                                                                     */
/* First version: February 2000                                        */
/* Latest update: 2003-01-31                                           */
/*                                                                     */
/*                                                                     */
/* Author of the program:                                              */
/* ----------------------                                              */
/*                                                                     */
/* Stefan Spaennare, Lund, Sweden                                      */
/*                                                                     */
/* E-mail: stefan@spaennare.se                                         */
/*                                                                     */
/* Web: http://www.spaennare.se/index.html                             */
/* Web: http://www.spaennare.se/ssnbody.html                           */
/*                                                                     */
/* If you have problems with the program please let me know!           */
/*                                                                     */
/*                                                                     */
/* Documentation:                                                      */
/* --------------                                                      */
/*                                                                     */
/* For a detailed description of the ssnbody nbody package see the     */
/* files ssnbody.pdf and ssnbody.ps on the ssnbody web page.           */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

/*****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(argc,argv) 
int argc;
char *argv[];

{
   
   FILE *infile,*infile2;

   int i;


   double x,y,z,vx,vy,vz,m;
   double x2,y2,z2,vx2,vy2,vz2,m2;
   double dx,dy,dz,dvx,dvy,dvz;
   double r,v,r2,v2,au,rau,vau;

   if (argc != 3) {
      printf("Usage: %s solsyst-reference-infile solsyst-verify-infile\n",argv[0]);
      exit(0);
   } /* if */
   

   if ((infile = fopen(argv[1],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   if ((infile2 = fopen(argv[2],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   au=1.49597870684e11;

   printf("\n");

   printf("  nr              (au)                (m)          (au/day)            (m/day)\n");

   i=0;

   while (fscanf(infile,"%lf %lf %lf %lf %lf %lf %lf",&x,&y,&z,&vx,&vy,&vz,&m) != EOF) {

      fscanf(infile2,"%lf %lf %lf %lf %lf %lf %lf",&x2,&y2,&z2,&vx2,&vy2,&vz2,&m2);

      dx=x-x2;
      dy=y-y2;
      dz=z-z2;

      r2=dx*dx+dy*dy+dz*dz;

      r=sqrt(r2);

      rau=au*r;

      dvx=vx-vx2;
      dvy=vy-vy2;
      dvz=vz-vz2;

      v2=dvx*dvx+dvy*dvy+dvz*dvz;

      v=sqrt(v2);

      vau=au*v;

      printf("%4d %21.12le %14.2lf %21.12le %14.2lf\n",i,r,rau,v,vau);

      i++;

   } /* while */

   printf("\n");
 
} /* End */
